package de.ivu.elect.business.ergebnis.entity;

public enum ErgebnisStatus {

  UNBEKANNT {
    @Override
    public boolean isBerechnet() {
      return false;
    }
  },
  ZU_BERECHNEN {
    @Override
    public boolean isBerechnet() {
      return false;
    }

    @Override
    public boolean isZuBerechnen() {
      return true;
    }
  },
  UNGELOESTE_KONFLIKTE_VORHANDEN,
  BERECHNET,
  VOLLSTAENDIG,
  BESTAETIGT,
  MIGRIERT {
    @Override
    public boolean isFixiert() {
      return true;
    }

    @Override
    public boolean isErgebnisberechungMoeglich() {
      return false;
    }
  };

  public boolean isBerechnet() {
    return true;
  }

  public boolean isZuBerechnen() {
    return false;
  }

  public boolean isFixiert() {
    return false;
  }

  public boolean isErgebnisberechungMoeglich() {
    return true;
  }

}
